package org.implab.gradle.common.utils;

import java.util.Optional;
import java.util.Set;

public class ExtraPropsNone implements ExtraProps {

    @Override
    public Set<String> keys() {
        return Set.of();
    }

    @Override
    public boolean has(String name) {
        return false;
    }

    @Override
    public <T> Optional<T> get(String name, Class<T> clazz) {
        return Optional.empty();
    }

    @Override
    public void put(String name, Object value) {
    }

    @Override
    public void remove(String name) {
    }
    
}
